Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_FilterAdmin Class Reference

FilterAdmin interface methods implementation. More...

`#include <FilterAdmin.h>`

Collaboration diagram for TAO_NS_FilterAdmin:

[legend]
List of all members.

## Public Methods
| TAO_NS_FilterAdmin (void)
| Constructor. More...
virtual | ~TAO_NS_FilterAdmin (void)
| Destructor. More...
CORBA::Boolean | match (const TAO_NS_Event_var &event ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::UnsupportedFilterableData )
| See if any of the filters match. More...
virtual CosNotifyFilter::FilterID | add_filter (CosNotifyFilter::Filter_ptr new_filter ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
virtual void | remove_filter (CosNotifyFilter::FilterID filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )
virtual CosNotifyFilter::Filter_ptr | get_filter (CosNotifyFilter::FilterID filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )
virtual CosNotifyFilter::FilterIDSeq * | get_all_filters (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | remove_all_filters (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
## Private Types
typedef ACE_Hash_Map_Manager< CosNotifyFilter::FilterID, CosNotifyFilter::Filter_var, TAO_SYNCH_MUTEX > | FILTER_LIST
typedef ACE_Hash_Map_Iterator< CosNotifyFilter::FilterID, CosNotifyFilter::Filter_var, TAO_SYNCH_MUTEX > | FILTER_LIST_ITER
typedef ACE_Hash_Map_Entry< CosNotifyFilter::FilterID, CosNotifyFilter::Filter_var > | FILTER_LIST_ENTRY
## Private Attributes
FILTER_LIST | filter_list_
| List of filters. More...
TAO_NS_ID_Factory | filter_ids_
| Id generator for proxy suppliers. More...

## Detailed Description

FilterAdmin interface methods implementation.

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager<CosNotifyFilter::FilterID, CosNotifyFilter::Filter_var, TAO_SYNCH_MUTEX> TAO_NS_FilterAdmin::FILTER_LIST`[private]`

typedef ACE_Hash_Map_Entry<CosNotifyFilter::FilterID, CosNotifyFilter::Filter_var> TAO_NS_FilterAdmin::FILTER_LIST_ENTRY`[private]`

typedef ACE_Hash_Map_Iterator<CosNotifyFilter::FilterID, CosNotifyFilter::Filter_var, TAO_SYNCH_MUTEX> TAO_NS_FilterAdmin::FILTER_LIST_ITER`[private]`

## Constructor & Destructor Documentation

TAO_NS_FilterAdmin::TAO_NS_FilterAdmin | ( | void |  | ) |

| Constructor.

TAO_NS_FilterAdmin::~TAO_NS_FilterAdmin | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

CosNotifyFilter::FilterID TAO_NS_FilterAdmin::add_filter | ( | CosNotifyFilter::Filter_ptr new_filter | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[virtual]`

CosNotifyFilter::FilterIDSeq * TAO_NS_FilterAdmin::get_all_filters | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

virtual CosNotifyFilter::Filter_ptr TAO_NS_FilterAdmin::get_filter | ( | CosNotifyFilter::FilterID filter | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )`[virtual]`

CORBA::Boolean TAO_NS_FilterAdmin::match | ( | const TAO_NS_Event_var &event | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyFilter::UnsupportedFilterableData )

| See if any of the filters match.

void TAO_NS_FilterAdmin::remove_all_filters | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

virtual void TAO_NS_FilterAdmin::remove_filter | ( | CosNotifyFilter::FilterID filter | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )`[virtual]`

## Member Data Documentation

TAO_NS_ID_Factory TAO_NS_FilterAdmin::filter_ids_`[private]`

| Id generator for proxy suppliers.

FILTER_LIST TAO_NS_FilterAdmin::filter_list_`[private]`

| List of filters.

The documentation for this class was generated from the following files:

- FilterAdmin.h
- FilterAdmin.cpp